summaryrefslogtreecommitdiffstats
path: root/kvm-wrapper.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kvm-wrapper.sh')
-rwxr-xr-xkvm-wrapper.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/kvm-wrapper.sh b/kvm-wrapper.sh
index 0dcb48d..aa43aab 100755
--- a/kvm-wrapper.sh
+++ b/kvm-wrapper.sh
@@ -959,9 +959,15 @@ function kvm_build_vm ()
local DISABLE_BOOTSTRAP="yes"
shift
;;
+ *)
+ echo "Unknown argument: $1"
+ echo "Exiting"
+ print_help "create"
+ return 1
+ ;;
esac
done
- if [[ ! "$#" -eq 1 ]]; then print_help; exit 1; fi
+ if [[ ! "$#" -eq 1 ]]; then print_help "create"; exit 1; fi
VM_NAME="$1"